<div class="alert alert-danger" role="alert" *ngIf="hasFailed">
  Invalid email and password.
</div>
<div class="sign-up-wrapper wrapper">
  <form [formGroup]="frm" (ngSubmit)="doSignUp(frm.value)">
    <div class="form-group">
      <label for="fullname">Name</label>
      <input type="text" id="fullname" formControlName="fullname" placeholder="Your Name" value="setiady.mulya@gmail.com" class='form-control' />
      <small class="form-text text-muted" *ngIf="(frm.get('fullname').invalid && frm.get('fullname').touched) || showInputErrors">
        <em *ngIf="frm.get('fullname').hasError('required')">
          Please enter your name
        </em>
      </small>
    </div>
  	<div class="form-group">
      <label for="photo">Photo</label>
      <input type="file" #fileInput (change)='uploadPhoto($event)' id="photo" formControlName="photo" class="form-control" accept="image/*" />
    </div>  
    <div class="form-group">
      <label for="email">Email address</label>
      <input type="text" id="email" formControlName="email" placeholder="Your Email" value="setiady.mulya@gmail.com" class='form-control' />
      <small class="form-text text-muted" *ngIf="(frm.get('email').invalid && frm.get('email').touched) || showInputErrors">
        <em *ngIf="frm.get('email').hasError('required')">
          Please enter your email
        </em>
      </small>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input type="password" id="password" formControlName="password" placeholder="Your password" value="aaa123" class='form-control' />
      <small class="form-text text-muted" 
             *ngIf="(frm.get('password').invalid && frm.get('password').touched) || showInputErrors"
      >
        <em *ngIf="frm.get('password').hasError('required')">
          Please enter your password
        </em>
      </small>
    </div>
    <button [disabled]="isBusy" class="btn btn-success">
      <ng-template [ngIf]="!isBusy">Sign up</ng-template>
      <ng-template [ngIf]="isBusy">Signing up, please wait...</ng-template>
    </button> | <a class="navbar-brand" routerLink="/sign-in">Sign In</a>
  </form>
</div>